Bug 496524 - Review Request: jorbis - Pure Java Ogg Vorbis Decoder
Review Request: jorbis - Pure Java Ogg Vorbis Decoder
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 496525
  Show dependency treegraph
 
Reported: 2009-04-19 18:11 EDT by Orcan Ogetbil
Modified: 2009-05-09 00:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.0.17-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-02 12:27:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-04-19 18:11:14 EDT
Spec URL: http://oget.fedorapeople.org/review/jorbis.spec
SRPM URL: http://oget.fedorapeople.org/review/jorbis-0.0.17-1.fc10.src.rpm
Description: 
JOrbis is a pure Java Ogg Vorbis decoder. JOrbis accepts Ogg Vorbis bitstreams
and decodes them to raw PCMs.

There are these kind of rpmlints:
jorbis.src: W: libdir-macro-in-noarch-package
which can be ignored since the package is not noarch by default
Comment 1 Mattias Ellert 2009-04-29 07:57:15 EDT
Fedora review jorbis-0.0.17-1.fc10.src.rpm 2009-04-29

rpmlint output:

[ellert@ellert jorbis]$ rpmlint 1256512409979681881233819/result/jorbis/*.rpm jorbis.spec 
jorbis.src:156: W: libdir-macro-in-noarch-package (main package) %dir %{_libdir}/gcj/%{name}
jorbis.src:157: W: libdir-macro-in-noarch-package (main package) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
jorbis.src:170: W: libdir-macro-in-noarch-package player %{_libdir}/gcj/%{name}/%{name}-player*.jar.*
jorbis.src:178: W: libdir-macro-in-noarch-package comment %{_libdir}/gcj/%{name}/%{name}-comment*.jar.*
jorbis.spec:156: W: libdir-macro-in-noarch-package (main package) %dir %{_libdir}/gcj/%{name}
jorbis.spec:157: W: libdir-macro-in-noarch-package (main package) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
jorbis.spec:170: W: libdir-macro-in-noarch-package player %{_libdir}/gcj/%{name}/%{name}-player*.jar.*
jorbis.spec:178: W: libdir-macro-in-noarch-package comment %{_libdir}/gcj/%{name}/%{name}-comment*.jar.*
6 packages and 1 specfiles checked; 0 errors, 8 warnings.

* OK
! needs attention

* rpmlint warnings are bogus - rpmlint does not understand the
  conditional BuildArch.

* Package is named according to the guidelines

* The specfile is named after the package

* The package follows the guidelines for a native Java package

* Package license is Fedora approved (LGPLv2+)

* The README file says that the license is LGPL with no version, but
  that is equivalent to LGPLv2+ according to the Fedora License list

* The license file (COPYING.LIB) in the sources is installed as %doc

* The specfile is written in legible English

* Sources matches upstream:

6141edfb16d34412a86c95a97fd4b10f  jorbis-0.0.17.zip
6141edfb16d34412a86c95a97fd4b10f  SRPM/jorbis-0.0.17.zip

* Package builds in mock (Fedora 10)

* BuildRequires are sane

* No shared libraries

* Package owns the directories it creates

! The jars in -comment and -player are also in main (duplicate files)

* Permissions are sane and %files has %defattr

* %clean clears buildroot

* Consistent use of macros

* Documentation in -javadoc package

* %doc is not runtime essential

* subpackages require main with fully versioned dependencies

* Package does not own other's directories

* %install clears buildroot

* Installed filenames are valid UTF-8
Comment 2 Orcan Ogetbil 2009-04-29 13:35:30 EDT
Ah, * is greedy :)

Spec URL: http://oget.fedorapeople.org/review/jorbis.spec
SRPM URL: http://oget.fedorapeople.org/review/jorbis-0.0.17-2.fc10.src.rpm

Changelog: 0.0.17-2
- Fix duplicate files issue
Comment 3 Mattias Ellert 2009-04-30 07:14:33 EDT
Package approved.
Comment 4 Orcan Ogetbil 2009-04-30 11:04:54 EDT
Thank you for the review!

New Package CVS Request
=======================
Package Name: jorbis
Short Description: Pure Java Ogg Vorbis Decoder
Owners: oget
Branches: F-9 F-10 F-11
InitialCC:
Comment 5 Dennis Gilmore 2009-05-01 17:03:48 EDT
CVS Done
Comment 6 Fedora Update System 2009-05-01 18:43:56 EDT
jorbis-0.0.17-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/jorbis-0.0.17-2.fc11
Comment 7 Fedora Update System 2009-05-01 18:44:56 EDT
jorbis-0.0.17-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/jorbis-0.0.17-2.fc10
Comment 8 Fedora Update System 2009-05-01 18:45:52 EDT
jorbis-0.0.17-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/jorbis-0.0.17-2.fc9
Comment 9 Fedora Update System 2009-05-02 12:27:13 EDT
jorbis-0.0.17-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-05-02 12:42:38 EDT
jorbis-0.0.17-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-09 00:11:39 EDT
jorbis-0.0.17-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.